=== debian/changelog ===
kgeotag (1.4.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump Qt packages to 5.12.0
    - bump KF packages to 5.68.0
    - drop version requirement for libmarble-dev
    - explicitly add gettext
  * Small updates to copyright.

 -- Pino Toscano <pino@debian.org>  Sun, 29 Jan 2023 10:00:30 +0100

kgeotag (1.3.1-2) unstable; urgency=medium

  * Team upload.
  * Drop the qtwebengine5-dev build dependency, not used directly.
  * Update standards version to 4.6.2, no changes needed.
  * Rename debian/lintian-overrides to debian/kgeotag.lintian-overrides,
    to make it clearer to which package it refers to.

 -- Pino Toscano <pino@debian.org>  Wed, 25 Jan 2023 20:54:36 +0100

kgeotag (1.3.1-1) unstable; urgency=medium

  [ Matthias Geiger ]
  * Initial release. (Closes: #1008238)

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 20 Dec 2022 15:08:15 +0100
