=== debian/control ===
Source: kgeotag
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@alioth-lists.debian.net>
Uploaders: Matthias Geiger <matthias.geiger1024@tutanota.de>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf5,
               cmake (>= 3.16.0~),
               extra-cmake-modules (>= 5.68.0~),
               gettext,
               libkf5configwidgets-dev (>= 5.68.0~),
               libkf5coreaddons-dev (>= 5.68.0~),
               libkf5crash-dev (>= 5.68.0~),
               libkf5doctools-dev (>= 5.68.0~),
               libkf5i18n-dev (>= 5.68.0~),
               libkf5kexiv2-dev (>= 5.0.0~),
               libkf5xmlgui-dev (>= 5.68.0~),
               libmarble-dev,
               qtbase5-dev (>= 5.12.0~),
Standards-Version: 4.6.2
Homepage: https://kgeotag.kde.org
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kgeotag
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kgeotag.git
Rules-Requires-Root: no

Package: kgeotag
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Photo geotagging program
 Images can be associated with geographic coordinates (geotagging) by different
 means: On the one hand, a matching with GPX encoded geodata can be done, on
 the other hand, the coordinates can be set manually, either via drag and drop
 onto a map, via bookmarks or by manually supplying them.
 .
 The coordinates can be stored in the images' Exif header and/or in XMP sidecar
 files.
