## kgeotag 1.5.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
-# SPDX-FileCopyrightText: 2020-2023 Tobias Leupold <tl at stonemx dot de>
+# SPDX-FileCopyrightText: 2020-2024 Tobias Leupold <tl at stonemx dot de>
 #
 # SPDX-License-Identifier: BSD-3-Clause
 
 cmake_minimum_required(VERSION 3.16.0)
-project(kgeotag LANGUAGES CXX VERSION 1.4.0)
+project(kgeotag LANGUAGES CXX VERSION 1.5.0)
 
 set(QT_MIN_VERSION "5.12")
 set(KF5_MIN_VERSION "5.68")
@@ -109,6 +109,8 @@
     ${main_ROOT}/Logging.cpp
 )
 
+qt_add_resources(kgeotag_SOURCES ${CMAKE_SOURCE_DIR}/kgeotag.qrc)
+
 # Build the executable
 add_executable(kgeotag ${kgeotag_SOURCES})
 add_dependencies(kgeotag UpdateVersion)
@@ -149,13 +151,7 @@
               "timezones/timezones.json"
         DESTINATION "${KDE_INSTALL_DATADIR}/kgeotag")
 
-install(FILES kgeotagui.rc DESTINATION "${KDE_INSTALL_KXMLGUI5DIR}/kgeotag")
 install(PROGRAMS org.kde.kgeotag.desktop DESTINATION ${KDE_INSTALL_APPDIR})
 install(FILES org.kde.kgeotag.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
 
 ki18n_install(po)
-
-  find_package(KF5DocTools CONFIG)
-  if(KF5DocTools_FOUND)
-    kdoctools_install(po)
-  endif()
