=== debian/changelog ===
kgeotag (1.5.0-1ubuntu3.1) noble; urgency=medium

  * Properly address the apparmor profile issue by adding multiple
    lines for the different architectures we want to support until 
    @multiarch is supported. This closes (LP: #2065915)

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 12 Jul 2024 04:24:46 -0700

kgeotag (1.5.0-1ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:04:51 +1100

kgeotag (1.5.0-1ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:57:14 +0000

kgeotag (1.5.0-1ubuntu1) noble; urgency=medium

  * Add apparmor profile to fix userns. Ref: (LP: #2046844) 

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 15 Feb 2024 00:06:50 -0700

kgeotag (1.5.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Minor comment updates in lintian overrides.
  * Update copyright.

 -- Pino Toscano <pino@debian.org>  Wed, 03 Jan 2024 11:04:49 +0100
