=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: kgeotag
 Section: kde
 Priority: optional
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@alioth-lists.debian.net>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@alioth-lists.debian.net>
 Uploaders: Matthias Geiger <matthias.geiger1024@tutanota.de>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf5,
+               dh-apparmor,
                cmake (>= 3.16.0~),
                extra-cmake-modules (>= 5.68.0~),
                gettext,
@@ -19,13 +21,14 @@
                qtbase5-dev (>= 5.12.0~),
 Standards-Version: 4.6.2
 Homepage: https://kgeotag.kde.org
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kgeotag
-Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kgeotag.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kgeotag
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kgeotag
 Rules-Requires-Root: no
 
 Package: kgeotag
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Suggests: apparmor
 Description: Photo geotagging program
  Images can be associated with geographic coordinates (geotagging) by different
  means: On the one hand, a matching with GPX encoded geodata can be done, on
