=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_install:
	mkdir -p debian/kgeotag/etc/apparmor.d
	cp debian/kgeotag-apparmor debian/kgeotag/etc/apparmor.d/usr.bin.kgeotag
	dh_apparmor --profile-name=usr.bin.kgeotag -pkgeotag
