## kgeotag 1.6.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # SPDX-License-Identifier: BSD-3-Clause
 
 cmake_minimum_required(VERSION 3.16.0)
-project(kgeotag LANGUAGES CXX VERSION 1.5.0)
+project(kgeotag LANGUAGES CXX VERSION 1.6.0)
 
 set(QT_MIN_VERSION "5.12")
 set(KF5_MIN_VERSION "5.68")
@@ -107,9 +107,10 @@
     ${main_ROOT}/TracksListView.cpp
     ${main_ROOT}/TrackWalker.cpp
     ${main_ROOT}/Logging.cpp
+    ${main_ROOT}/DegreesConverter.cpp
 )
 
-qt_add_resources(kgeotag_SOURCES ${CMAKE_SOURCE_DIR}/kgeotag.qrc)
+qt5_add_resources(kgeotag_SOURCES ${CMAKE_SOURCE_DIR}/kgeotag.qrc)
 
 # Build the executable
 add_executable(kgeotag ${kgeotag_SOURCES})
