=== debian/changelog ===
kgeotag (1.6.0-1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Add apparmor profile to fix userns.

 -- Rik Mills <rikmills@kde.org>  Tue, 05 Nov 2024 12:50:31 +0000

kgeotag (1.6.0-1) unstable; urgency=medium

  * Update upstream signing key
  * Updated my mail address in d/control and d/copyright
  * Bump Standards-Version to 4.7.0; no changes needed
  * Updated copyright years for debian/* files

 -- Matthias Geiger <werdahias@debian.org>  Sat, 05 Oct 2024 17:40:44 +0200

kgeotag (1.5.0-1ubuntu4) oracular; urgency=medium

  * Properly address the apparmor profile issue by adding multiple
    lines for the different architectures we want to support until 
    @multiarch is supported. This closes (LP: #2064492)

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 12 Jul 2024 04:32:38 -0700
