=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                libkf5xmlgui-dev (>= 5.68.0~),
                libmarble-dev,
                qtbase5-dev (>= 5.12.0~),
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://kgeotag.kde.org
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kgeotag
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kgeotag
