## kgeotag 1.7.0

=== debian/changelog ===
kgeotag (1.7.0-3) unstable; urgency=medium

  * Upload to unstable 

 -- Matthias Geiger <werdahias@debian.org>  Wed, 19 Feb 2025 15:01:31 +0100

kgeotag (1.7.0-2) experimental; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Build against Qt6, update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 19 Jan 2025 16:40:00 +0100

kgeotag (1.7.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Tue, 17 Dec 2024 18:55:35 +0100
