=== debian/control ===
Source: kgeotag
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@alioth-lists.debian.net>
Uploaders: Matthias Geiger <werdahias@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16.0~),
               extra-cmake-modules (>= 5.68.0~),
               gettext,
               libkexiv2qt6-dev (>= 5.1.0~),
               libkf6configwidgets-dev (>= 6.0~),
               libkf6coreaddons-dev (>= 6.0~),
               libkf6crash-dev (>= 6.0~),
               libkf6doctools-dev (>= 6.0~),
               libkf6i18n-dev (>= 6.0~),
               libkf6xmlgui-dev (>= 6.0~),
               libmarble-dev (>= 4:24.11.70~),
               qt6-base-dev (>= 6.0~),
               qt6-5compat-dev,
Standards-Version: 4.7.0
Homepage: https://kgeotag.kde.org
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kgeotag
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kgeotag.git
Rules-Requires-Root: no

Package: kgeotag
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Photo geotagging program
 Images can be associated with geographic coordinates (geotagging) by different
 means: On the one hand, a matching with GPX encoded geodata can be done, on
 the other hand, the coordinates can be set manually, either via drag and drop
 onto a map, via bookmarks or by manually supplying them.
 .
 The coordinates can be stored in the images' Exif header and/or in XMP sidecar
 files.
