=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                libmarble-dev (>= 4:24.11.70~),
                qt6-base-dev (>= 6.0~),
                qt6-5compat-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://kgeotag.kde.org
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kgeotag
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kgeotag.git
